import request from "@/utils/request";

export const subject_list = (data = {}) => {
  return request({
    url: "/txwx/jcxxgl_zyflgl_xk/index",
    data,
  });
};

// 名师工作室
export const msgzs_list = (data = {}) => {
  return request({
    url: "/txwx/msgzs/index",
    data,
  });
};
// 工作室详情
export const msgzs_detail = (data = {}) => {
  return request({
    url: "/txwx/msgzs/detail",
    data,
  });
};
// 工作室课堂研究
export const ktyj_list = (data = {}) => {
  return request({
    url: "/txwx/msgzs_ktyj/index",
    data,
  });
};
// 工作室课堂研究详情
export const ktyj_detail = (data = {}) => {
  return request({
    url: "/txwx/msgzs_ktyj/detail",
    data,
  });
};
// 公告文章
export const gwz_list = (data = {}) => {
  return request({
    url: "/txwx/msgzs_gwz/index",
    data,
  });
};
// 公告文章详情
export const gwz_detail = (data = {}) => {
  return request({
    url: "/txwx/msgzs_gwz/detail",
    data,
  });
};
// 成果
export const yxcg_list = (data = {}) => {
  return request({
    url: "/txwx/msgzs_yxcg/index",
    data,
  });
};
// 成果
export const yxcg_detail = (data = {}) => {
  return request({
    url: "/txwx/msgzs_yxcg/detail",
    data,
  });
};
// 教研活动
export const jyhd_list = (data = {}) => {
  return request({
    url: "/txwx/msgzs_jyhd/index",
    data,
  });
};
// 教研活动详情
export const jyhd_detail = (data = {}) => {
  return request({
    url: "/txwx/msgzs_jyhd/detail",
    data,
  });
};

// 数据字典
export const option_list = (data = {}) => {
  return request({
    url: "/common/sjzd/option",
    data,
  });
};

// 用户信息
export const user_info = (data = {}) => {
  return request({
    url: "/user/main/user_info",
    data,
  });
};
// 文件上传
export const upload_file = (
  file,
  firstpage = "",
  lastpage = "",
  convert = ""
) =>
  REQUEST.upload({
    url: "/upload/main/file",
    data: {
      filedata: file,
      firstpage: firstpage,
      lastpage: lastpage,
      convert: convert,
    },
  });

export const thumb_add = (data = {}) => {
  return request({
    url: "/txwx/dz/add",
    data,
  });
};
export const thumb_del = (data = {}) => {
  return request({
    url: "/txwx/dz/delete",
    data,
  });
};
//# 我的积分
export const jf_list = (data = {}) => {
  return request({
    url: "/txwx/jffl_jfjl/index",
    data,
  });
};